Bug 961403 - Review Request: mingw-gtkspell3 - MinGW Windows GtkSpell3 library
Review Request: mingw-gtkspell3 - MinGW Windows GtkSpell3 library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 10:48 EDT by Sandro Mani
Modified: 2013-05-31 23:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-gtkspell3-3.0.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 23:04:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-05-09 10:48:18 EDT
Spec URL: http://smani.fedorapeople.org/mingw-gtkspell3.spec
SRPM URL: http://smani.fedorapeople.org/mingw-gtkspell3-3.0.2-1.fc20.src.rpm
Description: MinGW Windows GtkSpell3 library
Fedora Account System Username: smani
Comment 1 Erik van Pienbroek 2013-05-19 15:13:35 EDT
Taking for review

* The %global mingw_build_win32/mingw_build_win64 tags aren't needed any more
* Please change the BR: mingw32-filesystem mingw64-filesystem to >= 95
Comment 2 Sandro Mani 2013-05-19 15:43:40 EDT
Spec URL: http://smani.fedorapeople.org/mingw-gtkspell3.spec
SRPM URL: http://smani.fedorapeople.org/mingw-gtkspell3-3.0.2-2.fc20.src.rpm

* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires
Comment 3 Erik van Pienbroek 2013-05-20 12:24:10 EDT
$ rpmlint mingw-gtkspell3.spec 
mingw-gtkspell3.spec: W: invalid-url Source0: http://downloads.sourceforge.net/gtkspell3/gtkspell3-3.0.2.tar.gz HTTP Error 404: Not Found
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw-gtkspell3-3.0.2-2.fc20.src.rpm 
mingw-gtkspell3.src: W: invalid-url Source0: http://downloads.sourceforge.net/gtkspell3/gtkspell3-3.0.2.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint mingw32-gtkspell3-3.0.2-2.fc19.noarch.rpm mingw32-gtkspell3-static-3.0.2-2.fc19.noarch.rpm mingw64-gtkspell3-3.0.2-2.fc19.noarch.rpm mingw64-gtkspell3-static-3.0.2-2.fc19.noarch.rpm 
mingw32-gtkspell3-static.noarch: W: no-documentation
mingw64-gtkspell3-static.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.


$ rpm --query --requires mingw32-gtkspell3
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libenchant.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libglib-2.0-0.dll)
mingw32(libgobject-2.0-0.dll)
mingw32(libgtk-3-0.dll)
mingw32(libintl-8.dll)
mingw32(msvcrt.dll)
mingw32-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-gtkspell3
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libenchant.dll)
mingw64(libglib-2.0-0.dll)
mingw64(libgobject-2.0-0.dll)
mingw64(libgtk-3-0.dll)
mingw64(libintl-8.dll)
mingw64(msvcrt.dll)
mingw64-pkg-config
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw32-gtkspell3-static
mingw32-gtkspell3 = 3.0.2-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm --query --requires mingw64-gtkspell3-static
mingw64-gtkspell3 = 3.0.2-2.fc19
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadIsXz) <= 5.2-1


$ rpm --query --provides mingw32-gtkspell3
mingw32-gtkspell3 = 3.0.2-2.fc19
mingw32(libgtkspell3-3-0.dll)

$ rpm --query --provides mingw64-gtkspell3
mingw64-gtkspell3 = 3.0.2-2.fc19
mingw64(libgtkspell3-3-0.dll)

$ rpm --query --provides mingw32-gtkspell3-static
mingw32-gtkspell3-static = 3.0.2-2.fc19

$ rpm --query --provides mingw64-gtkspell3-static
mingw64-gtkspell3-static = 3.0.2-2.fc19


$ wget http://downloads.sourceforge.net/gtkspell3/gtkspell3-3.0.2.tar.gz
--2013-05-20 18:17:01--  http://downloads.sourceforge.net/gtkspell3/gtkspell3-3.0.2.tar.gz
Resolving downloads.sourceforge.net (downloads.sourceforge.net)... 216.34.181.59
Connecting to downloads.sourceforge.net (downloads.sourceforge.net)|216.34.181.59|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2013-05-20 18:17:01 ERROR 404: Not Found.


+ OK
! Needs to be looked into
/ Not applicable

[!] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, or %mingw_cmake_kde4
    to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[!] Requires of the binary mingw32 and mingw64 packages are equal


The mingw32 package seems to depend on libgcc_s_sjlj-1.dll while the mingw64
package doesn't. I've also seen this on various other packages so we can
ignore this for now

The rpmlint warning about the invalid url in the Source0 tag must be fixed.
Please change it to http://downloads.sourceforge.net/sourceforge/gtkspell/%{version}/%{pkgname}-%{version}.tar.gz
before importing this package in Fedora

====================================================
 The package mingw-gtkspell3 is APPROVED by epienbro
====================================================
Comment 4 Sandro Mani 2013-05-20 18:22:46 EDT
Spec URL: http://smani.fedorapeople.org/mingw-gtkspell3.spec
SRPM URL: http://smani.fedorapeople.org/mingw-gtkspell3-3.0.2-3.fc20.src.rpm

* Tue May 21 2013 Sandro Mani <manisandro@gmail.com> - 3.0.2-3
- Fix source url

Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-gtkspell3
Short Description: Description: MinGW Windows GtkSpell3 library
Owners: smani
Branches: f18 f19
InitialCC:
Comment 5 Sandro Mani 2013-05-20 18:24:06 EDT
argh typo

New Package SCM Request
=======================
Package Name: mingw-gtkspell3
Short Description: MinGW Windows GtkSpell3 library
Owners: smani
Branches: f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-05-20 19:28:52 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-21 12:32:21 EDT
mingw-gtkspell3-3.0.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-gtkspell3-3.0.2-3.fc19
Comment 8 Fedora Update System 2013-05-21 12:33:09 EDT
mingw-gtkspell3-3.0.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-gtkspell3-3.0.2-3.fc18
Comment 9 Fedora Update System 2013-05-21 21:27:11 EDT
mingw-gtkspell3-3.0.2-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-05-29 23:04:44 EDT
mingw-gtkspell3-3.0.2-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-05-31 23:18:20 EDT
mingw-gtkspell3-3.0.2-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.